Affected version:
Description: I think it would be a good idea to be able to add/link repository files to issues.

So the developer can see which project files need to be edited to finish the issue.
And you could view the files changes by reading the issue details.

History
2011-03-07 01:06 am - Ian Freeman
I just link the revision to the issue, so that you can click on the revision to see what files were affected. As for files that need to be changed/haven't been 
changed yet, I usually just mention that in a short comment.

2011-03-07 09:10 pm - Niels Lindenthal
I like that idea to be able to link a ticket to any project artifact from the repository. Linking a revision to a ticket is very helpful, but in some cases it is not 
sufficient. Very often I want to link a ticket to the latest revision and not to a specific revision. For example if I ask somebody in a ticket to review one of 
my documents.

In these case the only way I know is to include a simple link within the description. This is not very convenient. You also have the problem if the 
document wihtin the repository is renamed. I think the link need to be persistent also if the file is renamed.

2011-03-07 11:04 pm - Eric Davis
How is this different than using the @source:@ link?

Example:

source:README.rdoc@d8ca5085666f48cd51ba96ee0a95dcfa4ce2c0e1

2011-03-08 11:08 pm - Egon Schmid
I've just been thinking of adding a table with at least 2 fields:

- issue_id
- file (with the complete path to the project root)

2011-03-18 01:09 pm - Anton Lukashev
Somehow you can do it by using "Code Review Plugin":http://www.r-labs.org/projects/r-labs/wiki/Code_Review_en . While looking through the code 
listed in "Repository" tab you can assign task to anyone you need. Not sure if that plugin gives a possibility to check several source files per task.
